using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Enums
{
    /// <summary>
    /// 业务状态码
    /// </summary>
    public enum  BusStatusCode:int
    {
        [Description("操作成功")]
        Success = 200,//添加成功
        [Description("操作失败")]
        Failed = 201,//添加失败
        [Description("添加失败")]
        AddFailed = 202,//添加失败
        [Description("修改失败")]
        UpdateFailed = 203,//修改失败
        [Description("删除失败")]
        DeleteFailed = 204,//删除失败
        [Description("请检查端口值是否正确!“portType”：1:WEB;2:ANDROID;3:IOS;")]
        PortTypeError = 205,//端口类型错误
        [Description("集合没有数据,请传入数据")]
        ItemsNotFound = 206,//没有找到数据
        [Description("DiId值错误")]
        DiIdValueError = 207,//DiId值错误
        [Description("UserId值错误")]
        UserIdValueError = 208,//UserId值错误
    }
}
